> For the complete documentation index, see [llms.txt](https://doc.batch.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://doc.batch.com/developer/sdk/android/event-dispatchers/mixpanel.md).

# Mixpanel

The Mixpanel dispatcher automatically dispatches events to the [Mixpanel SDK](https://developer.mixpanel.com/docs/android), including UTM tags when they are available.

To install simply add in your app's *build.gradle*:

{% tabs %}
{% tab title="Kotlin" %}

```kts
implementation("com.batch.android:mixpanel-dispatcher:2.0.0")
```

{% endtab %}

{% tab title="Groovy" %}

```groovy
implementation 'com.batch.android:mixpanel-dispatcher:2.0.0'
```

{% endtab %}
{% endtabs %}

And don't forget to initialize the dispatcher using your tracking ID:

{% tabs %}
{% tab title="Kotlin" %}

```kotlin
class MyKotlinApplication : Application() {

    override fun onCreate() {
        super.onCreate()

        Batch.start("MY_API_KEY")
        registerActivityLifecycleCallbacks(BatchActivityLifecycleHelper())

        // [...]

        // Here is your Mixpanel instance
        val mixpanel = MixpanelAPI.getInstance(this, MIXPANEL_TOKEN)
        // Register it to the dispatcher
        MixpanelDispatcher.setMixpanelInstance(this, mixpanel)
    }
}
```

{% endtab %}

{% tab title="Java" %}

```java
public class MyApplication extends Application {
    @Override
    public void onCreate() {
        super.onCreate();

        Batch.start("MY_API_KEY");
        registerActivityLifecycleCallbacks(new BatchActivityLifecycleHelper());
        
        // [...]

        // Here is your Mixpanel instance
        MixpanelAPI mixpanel = MixpanelAPI.getInstance(this, MIXPANEL_TOKEN);

        // Register it to the dispatcher
        MixpanelDispatcher.setMixpanelInstance(this, mixpanel);
    }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://doc.batch.com/developer/sdk/android/event-dispatchers/mixpanel.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
